// This routine should be used to initialize the S3
// You can also enter it at InitConstants when using the simulator only
// (this prevents errors in rCommands because variables are not initialized)
// You can combine this routine with your program by pasting, merging
// or using #include as discussed in the the book:
// RobotBASIC Projects for the Parallax Scribbler S3 (available, Amazon.com)

InitS3:                            
  rCommPort PortNum      
  rLocate 100,100 
  ClearScr // if you don't want the simulation to appear on screen
InitConstants:          
                            // default value (0-255) or info
  SetTurnStyle        = 1   // 50 (slow wheel at this %
  SetSpeed            = 2   // 50 (% of maximum speed)
  DriveRightCurve     = 5   // provide radius (.5 inch units)
  SetHalfDriveDegrees = 8   // 360 (how far to drive)
  PixelMultiplier     = 9   // 1 (2, doubles the range readings)
  DriveLeftCurve      = 10  // provide radius (.5 inch units)
  PlaySound           = 11  // provide freq (/ by multiplier)
  CalibLineSensors    = 14  // rotates robot (over line)
  SetFreqMult         = 15  //   10
  SetDur              = 16  // 50 (500ms, units of 10ms)
  SetVSSmode          = 17  // provide FEEL range (cm units)
  SetTMout            = 18  // 20 (units of 10ms gives 200ms)
  ReadPings           = 19  // 1st 3 bytes, in returned string
  ReadAnalog          = 20  // 2 bytes each, MSB first
  ReadLight           = 21  // 1st 4 bytes contain light data
  ExpandFeel          = 22  // 0,expand Feel with digital sensors
  SetBumpDist         = 23  // default is half the FEEL distance
  Bumpers             = 128 // use with SetVSSmode to add bumpers
  Dual                = 64  // use with SetVSSmode to also use IR
return
